## org.apache.jasper.compiler
Class BeanEndGenerator

    java.lang.Object
      |
      +--org.apache.jasper.compiler.GeneratorBase
            |
            +--org.apache.jasper.compiler.BeanEndGenerator

All Implemented Interfaces:
  Generator, ServiceMethodPhase

public class BeanEndGenerator
extends org.apache.jasper.compiler.GeneratorBase
implements ServiceMethodPhase

Deal with .

Author:
  Mandar Raje.

Field Summary
`protected JspCompilationContext` `ctxt`

Constructor Summary
`BeanEndGenerator()`

Method Summary
`void` `generate(ServletWriter writer, java.lang.Class phase)`
`boolean` `generateCoordinates(java.lang.Class phase)`
`void` `init(JspCompilationContext ctxt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctxt

    protected JspCompilationContext ctxt

Constructor Detail

### BeanEndGenerator

    public BeanEndGenerator()

Method Detail

### generate

    public void generate(ServletWriter writer,
                         java.lang.Class phase)

  Specified by:
    `generate` in interface `Generator`

### init

    public void init(JspCompilationContext ctxt)
              throws JasperException

  Specified by:
    `init` in interface `Generator`
    `JasperException`

### generateCoordinates

    public boolean generateCoordinates(java.lang.Class phase)

  Specified by:
    `generateCoordinates` in interface `Generator`

Copyright © 2000 Apache Software Foundation. All Rights Reserved.